 
{**********************************************************************
 Package pl_Cindy.pkg
 for CodeTyphon Studio (http://www.pilotlogic.com/)
***********************************************************************}

unit AllCindyRegister;

{$mode objfpc}{$H+}

interface
uses
  Classes, TypInfo,
  lresources, lclintf,PropEdits, ComponentEditors,

  cyBevel, cyPanel, cyAdvPanel, cyPaintBox, cyAdvPaintBox, cyLabel,
  cyHotLabel, cySpeedButton, cyAdvSpeedButton, cyBitBtn,
  cySkinButton, cySkinArea, cyLed, cyAdvLed, cySimpleGauge, cySplitter,
  cyAttract, cyColorMatrix, cyColorGrid, cyPieGauge, cyStatusBar, cyBook,

  cySearchFiles, cyFlyingContainer, cyModalContainer,
  cyResizer, cyVirtualGrid, cyProgressionPanel, cyAdvProgressionPanel,
  cyRunTimeResize,
  cyMathParser, cyDebug,

  cyDBLabel, cyDBHotLabel, cyDBLed, cyDBAdvLed, cyDBSimpleGauge,cyDBEdit,

  cyBookmarks, cyFieldLink,

  cyAdvButton;
const
  RSVisualCompsPalette = 'Cindy Visual';
  RSNonVisualCompsPalette = 'Cindy Non-Visual';
  RSDataVisualCompsPalette = 'Cindy Data Visual';
  RSDataNonVisualCompsPalette = 'Cindy Data Non-Visual';
  RSIEWrappersPalette = 'Cindy IE Wrappers';




procedure Register;

implementation

procedure Register;
begin
   RegisterComponents(RSVisualCompsPalette, [
    TcyBevel,
    TcyPanel,
    TcyAdvPanel,
    TcyPaintBox,
    TcyAdvPaintBox,
    TcyLabel,
    TcyHotLabel,
    TcySpeedButton,
    TcyAdvSpeedButton,
    TcyBitBtn,
    TcyAdvButton,
    TcySkinButton,
    tcySkinArea,
    TcyLed,
    TcyAdvLed,
    TcySimpleGauge,
    TcyPieGauge,
    TcySplitter,
    TcyAttract,
    TcyColorMatrix,
    TcyColorGrid,
    TcyStatusBar,
    TcyBook
    ]);

   
    //==================================================
    RegisterComponents(RSNonVisualCompsPalette, [
    TcySearchFiles,
    TcyFlyingContainer,
    TcyModalContainer,
    TcyResizer,
    TcyVirtualGrid,
    TcyProgressionPanel,
    TcyAdvProgressionPanel,
    TcyRunTimeResize,
    TcyMathParser,
    TcyDebug
    ]);
   

    //==================================================
    RegisterComponents(RSDataVisualCompsPalette, [
    TcyDBLabel,
    TcyDBHotLabel,
    TcyDBEdit,
    TcyDBLed,
    TcyDBAdvLed,
    TcyDBSimpleGauge
    ]);
     
    //==================================================
    RegisterComponents(RSDataNonVisualCompsPalette, [
    TcyBookmarks,
    TcyFieldLink
    ]);
     
end;

initialization
  {$i AllCindyRegister.lrs}


end.

